| Home | Libraries | People | FAQ | More

## Class template flat_map_index

boost::interprocess::flat_map_index

## Synopsis

    template<typename MapConfig>
    class flat_map_index : public boost::interprocess::flat_map< key_type, mapped_type, key_less, allocator_type >
    {
    public:
      // construct/copy/destruct
      flat_map_index(segment_manager_base *);

      // public member functions
      void reserve(std::size_t) ;
      void shrink_to_fit() ;
    };

## Description

Index type based in flat_map. Just derives from flat_map and defines the interface needed by managed memory segments.

### `flat_map_index` public construct/copy/destruct

1.     flat_map_index(segment_manager_base * segment_mngr);

   Constructor. Takes a pointer to the segment manager. Can throw

### `flat_map_index` public member functions

1.     void reserve(std::size_t n) ;

2.     void shrink_to_fit() ;